MySQL Forums
Forum List  »  Connector/ODBC

Re: ODBC connect with FIPS
Posted by: Peter Brawley
Date: May 30, 2022 09:58AM

"MySQL must be compiled with an OpenSSL version that is certified for use with FIPS. OpenSSL 1.0.2 is certified, but OpenSSL 1.1.1 is not. Binary distributions for recent versions of MySQL are compiled using OpenSSL 1.1.1 on some platforms, which means they are not certified for FIPS. This leads to tradeoffs in available MySQL features, depending on system and MySQL configuration:" -- https://dev.mysql.com/doc/refman/8.0/en/fips-mode.html

To me that sez no, you have to compile it for FIPS as per that page.



Edited 1 time(s). Last edit at 05/30/2022 09:59AM by Peter Brawley.

Options: ReplyQuote


Subject
Written By
Posted
May 29, 2022 06:14AM
May 29, 2022 11:41PM
Re: ODBC connect with FIPS
May 30, 2022 09:58AM
May 31, 2022 12:23AM


Sorry, only registered users may post in this forum.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.